<?php
include '../config.php';
include '../configuracao/modelo.php';
// Ação de Salvar (Inserir ou Alterar)
if (isset($_POST['btn_salvar'])) {
    $codigo      = $_POST['codigo'];
    $ativo       = $_POST['ativo'];
    $enumsistema = $_POST['enumsistema'];
    $data        = $_POST['data'];
    $descricao   = $_POST['descricao'];

    if (empty($codigo)) {
        // Novo registro
        $stmt = $mysqli->prepare("INSERT INTO grupo_produto (ativo, enumsistema, data, descricao) VALUES (?, ?, ?, ?)");
        $stmt->bind_param("ssss", $ativo, $enumsistema, $data, $descricao);
    } else {
        // Atualização
        $stmt = $mysqli->prepare("UPDATE grupo_produto SET ativo=?, enumsistema=?, data=?, descricao=? WHERE codigo=?");
        $stmt->bind_param("ssssi", $ativo, $enumsistema, $data, $descricao, $codigo);
    }

    $stmt->execute();
  header( "refresh:0; url=../grupo_produtos/");

}

// Ação de Excluir
if (isset($_GET['excluir'])) {
    $id = (int)$_GET['excluir'];
    $stmt = $mysqli->prepare("DELETE FROM grupo_produto WHERE codigo = ?");
    $stmt->bind_param("i", $id);
    $stmt->execute();
    header("Location: index.php");
}
?>